rte_eth_hairpin_cap(3)

NAME
rte_eth_hairpin_cap

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint16_t max_nb_queues
uint16_t max_rx_2_tx
uint16_t max_tx_2_rx
uint16_t max_nb_desc
struct rte_eth_hairpin_queue_cap rx_cap
struct rte_eth_hairpin_queue_cap tx_cap

Detailed Description

Warning
    EXPERIMENTAL: this API may change, or be removed, without prior notice

A structure used to return the hairpin capabilities that are supported.

Definition at line 1260 of file rte_ethdev.h.

Field Documentation

  uint16_t max_nb_queues
The max number of hairpin queues (different bindings).

Definition at line 1262 of file rte_ethdev.h.

  uint16_t max_rx_2_tx
Max number of Rx queues to be connected to one Tx queue.

Definition at line 1264 of file rte_ethdev.h.

  uint16_t max_tx_2_rx
Max number of Tx queues to be connected to one Rx queue.

Definition at line 1266 of file rte_ethdev.h.

  uint16_t max_nb_desc
The max num of descriptors.

Definition at line 1267 of file rte_ethdev.h.

  struct rte_eth_hairpin_queue_cap rx_cap
Rx hairpin queue capabilities.

Definition at line 1268 of file rte_ethdev.h.

  struct rte_eth_hairpin_queue_cap tx_cap
Tx hairpin queue capabilities.

Definition at line 1269 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.